## gdal 3.1.0+dfsg

=== debian/changelog ===
gdal (3.1.0+dfsg-1) unstable; urgency=medium

  [ Momtchil Momtchev ]
  * Add bcep file to exclude bash-completion from python3 byte-compiling.
    py3compile works fine, but pypy3compile fails.

  [ Bas Couwenberg ]
  * Rename gdal.bcap to gdal-bin.bcep, use dir instead of re.
  * Update symbols for 3.1.0.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jun 2020 05:47:36 +0200

gdal (3.1.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 May 2020 16:31:29 +0200

gdal (3.1.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop d-shlibs build dependency.
  * Drop ant build dependency.
  * Rename library package for SONAME bump.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 May 2020 13:59:07 +0200

gdal (3.1.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop spelling-errors.patch, applied upstream.
  * Update symbols for 3.1.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Apr 2020 06:07:37 +0200

gdal (3.1.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Explicitly enable CPU optimizations on amd64 & i386.
    (closes: #954917)
  * Drop libgdal-java package.
    (closes: #947960)
  * Exclude doc directory from repacked upstream tarball.
  * Refresh patches.
  * Update copyright file.
  * Drop libgdal-doc package, license & copyright review is unpleasant.
  * Enable bash-completion support.
  * Add patch to fix spelling errors.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2020 16:03:38 +0200
