## gdal 3.1.1+dfsg

=== debian/changelog ===
gdal (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.1.1~rc1.
  * Strip pre-releases from symbols version.
  * Include additional utilities in gdal-bin.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Jun 2020 15:29:58 +0200

gdal (3.1.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Jun 2020 11:55:34 +0200
