## gdal 3.1.2+dfsg

=== debian/changelog ===
gdal (3.1.2+dfsg-1build2) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:45:02 +0100

gdal (3.1.2+dfsg-1build1) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:43:53 +0100

gdal (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for alpha.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2020 15:13:21 +0200
