## gdal 3.1.3+dfsg

=== debian/changelog ===
gdal (3.1.3+dfsg-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:01:33 +0100

gdal (3.1.3+dfsg-1ubuntu2) groovy; urgency=medium

  * Tweak fedora patch to fix another rpc.h related fix

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2020 22:19:07 +0200

gdal (3.1.3+dfsg-1ubuntu1) groovy; urgency=medium

  * debian/patches/gdal_tirpcinc.patch:
    - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2020 21:38:54 +0200

gdal (3.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides for renamed tags.
  * Update symbols for 3.1.3~rc1.
  * Drop poppler patch, included upstream.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2020 12:49:57 +0200

gdal (3.1.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix duplicate files in copyright file.
  * Add lintian overrides for file-references-package-build-path.
  * Drop libspatialite-dev version requirement.
  * Update copyright years for Tamas Szekeres.
  * Refresh patches.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 11:47:53 +0200

gdal (3.1.2+dfsg-2) unstable; urgency=medium

  * Fix duplicate files in copyright file.
  * Add lintian overrides for file-references-package-build-path.
  * Drop libspatialite-dev version requirement.
  * Add upstream patch to fix FTBFS with poppler 20.09.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Sep 2020 12:14:21 +0200
