## gdal 3.1.4+dfsg

=== debian/changelog ===
gdal (3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.1.4~rc2.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Oct 2020 07:08:16 +0200

gdal (3.1.4~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop charls.patch, applied upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Oct 2020 13:42:25 +0200

gdal (3.1.4~rc1+dfsg-1~exp2) experimental; urgency=medium

  * Add patch to restore CharLS support.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Oct 2020 05:45:50 +0200

gdal (3.1.4~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Oct 2020 18:18:31 +0200
