=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gdal
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -41,7 +40,7 @@
                libpq-dev,
                libproj-dev (>= 6.0.0),
                libqhull-dev,
-               libspatialite-dev (>= 4.3.0-3~),
+               libspatialite-dev,
                libsqlite3-dev,
                libtiff-dev,
                liburiparser-dev,
