## gdal 3.2.0+dfsg

=== debian/changelog ===
gdal (3.2.0+dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 14:49:35 +0100

gdal (3.2.0+dfsg-1) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update symbols for alpha.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Dec 2020 13:02:47 +0100

gdal (3.2.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.2.0~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 10:57:40 +0100

gdal (3.2.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for mips*el.
  * Update copyright file.
  * Refresh patches.
  * Rename library package for SONAME bump.
  * Enable heif support.
  * Update install file for gdal-bin.
  * Update lintian overrides.
  * Enable libdeflate support.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Oct 2020 15:15:17 +0100

gdal (3.1.4+dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Nov 2020 17:13:46 +0100
