=== debian/rules ===
--- 
+++ 
@@ -126,6 +126,7 @@
 			--with-cfitsio=yes \
 			--with-charls \
 			--with-curl \
+			--with-libdeflate \
 			--with-ecw=no \
 			--with-epsilon=/usr \
 			--with-freexl=yes \
@@ -133,6 +134,7 @@
 			--with-geotiff=yes \
 			--with-grass=no \
 			$(WITH_HDF5) \
+			--with-heif \
 			--with-libjson-c=/usr \
 			--with-libkml=yes \
 			--with-liblzma=yes \
