## gdal 3.2.1+dfsg

=== debian/changelog ===
gdal (3.2.1+dfsg-1ubuntu3) hirsute; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 08:28:48 +0100

gdal (3.2.1+dfsg-1ubuntu2) hirsute; urgency=medium

  * Rebuild against new libdap27.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Feb 2021 09:57:13 +0100

gdal (3.2.1+dfsg-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Jan 2021 11:02:57 +0100

gdal (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.2.1~rc1.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jan 2021 13:49:29 +0100

gdal (3.2.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Apply patch by John Paul Adrian Glaubitz to fix FTBFS on sh4.
    (closes: #976795)
  * Update copyright file.
  * Use DEB_CXXFLAGS_MAINT_APPEND instead of DEB_CXXFLAGS_APPEND.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Dec 2020 15:00:40 +0100
