=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libcharls-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libdap-dev,
+               libdeflate-dev,
                libdoxygen-filter-perl,
                libepsilon-dev (>= 0.9.1-1~),
                libexpat1-dev,
@@ -25,6 +26,7 @@
                libgif-dev,
                libhdf4-alt-dev,
                libhdf5-dev (>= 1.8.8),
+               libheif-dev,
                libjpeg-dev,
                libjson-c-dev,
                libkml-dev (>= 1.3.0~rc0-3),
@@ -58,12 +60,12 @@
                unixodbc-dev (>= 2.2.11),
                zlib1g-dev
 Build-Conflicts: automake1.11
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal27
+Package: libgdal28
 Architecture: any
 Section: libs
 Depends: gdal-data (>= ${source:Version}),
@@ -93,13 +95,14 @@
 Package: libgdal-dev
 Architecture: any
 Section: libdevel
-Depends: libgdal27 (= ${binary:Version}),
+Depends: libgdal28 (= ${binary:Version}),
          libc6-dev,
          libarmadillo-dev,
          libcfitsio-dev,
          libcharls-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
          libdap-dev,
+         libdeflate-dev,
          libepsilon-dev,
          libexpat1-dev,
          libfreexl-dev,
@@ -109,6 +112,7 @@
          libgif-dev,
          libhdf4-alt-dev,
          libhdf5-dev,
+         libheif-dev,
          libjpeg-dev,
          libjson-c-dev,
          libkml-dev,
