## gdal 3.2.2~rc1+dfsg

=== debian/changelog ===
gdal (3.2.2~rc1+dfsg-1~exp1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Mar 2021 21:24:47 +0100

gdal (3.2.2~rc1+dfsg-1~exp1) unstable; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Mar 2021 14:04:57 +0100
