=== debian/changelog ===
gdal (3.2.2+dfsg-2+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix a heap-based buffer overflow in PCIDSK::CPCIDSKFile::ReadFromFile
    (CVE-2021-45943).

 -- Aron Xu <aron@debian.org>  Wed, 21 Sep 2022 06:52:45 +0000

gdal (3.2.2+dfsg-2+deb11u1) bullseye; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Add upstream patches to fix BAG 2.0 Extract support in LVBAG driver.
    (closes: #1000437)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Nov 2021 10:11:54 +0100

gdal (3.2.2+dfsg-2) unstable; urgency=medium

  * Drop Breaks from gdal-data to make libgdal20 & libgdal28 co-installable.
    (closes: #986975)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Jun 2021 21:06:09 +0200

gdal (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.2.2~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Mar 2021 15:12:55 +0100
