=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,11 @@
   WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 else
   WITH_HDF5:=
+endif
+
+# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98189
+ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
+  export DEB_CXXFLAGS_MAINT_APPEND=-fno-guess-branch-probability
 endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
