## gdal 3.3.2+dfsg

=== debian/changelog ===
gdal (3.3.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Remove executable bit from examples.
  * Drop --autodest from dh_install.
  * Disable DODS support, libdap causes FTBFS.
  * Add pkg-config to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Sep 2021 22:16:07 +0200

gdal (3.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.3.2~rc3.
  * Update watch file to mangle dirversion.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Sep 2021 13:24:04 +0200

gdal (3.3.2~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Override dh_autoreconf to create config.rpath.
    (closes: #993334)
  * Refresh patches.
  * Drop obsolete ogdi patch.
  * Update directory pattern to also match pre-releases.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 16:34:55 +0200

gdal (3.3.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.3.1~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jul 2021 15:02:33 +0200

gdal (3.3.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Jun 2021 14:14:32 +0200

gdal (3.3.0+dfsg-1~exp2) experimental; urgency=medium

  * Include changes from 3.2.2+dfsg-2.
  * Drop obsolete Breaks on libgdal1h.
  * Drop obsolete dh_shlibdeps override.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jun 2021 05:56:17 +0200

gdal (3.3.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.3.0~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 May 2021 15:05:33 +0200

gdal (3.3.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update symbols for 3.2.2~beta1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Apr 2021 15:19:59 +0200

gdal (3.3.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Refresh patches.
  * Drop epsilon support, removed upstream.
  * Rename library package for SONAME bump.
  * Use veryclean target for python bindings.
  * Update rules for moved python scripts.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Apr 2021 06:56:36 +0200

gdal (3.2.2+dfsg-3) unstable; urgency=medium

  * Override dh_autoreconf to create config.rpath.
    (closes: #993334)
  * Drop obsolete ogdi patch.
  * Drop obsolete Breaks on libgdal1h.
  * Drop obsolete dh_shlibdeps override.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 18:08:06 +0200
