=== debian/rules ===
--- 
+++ 
@@ -101,8 +101,13 @@
 		dh $@ --with python3 ; \
 	fi
 
+override_dh_autoreconf:
+	touch config.rpath
+
+	dh_autoreconf
+
 override_dh_clean:
-	dh_clean config.log
+	dh_clean config.log config.rpath
 
 override_dh_auto_clean:
 	[ ! -f GDALmake.opt ] || $(MAKE) distclean
@@ -133,7 +138,6 @@
 			--with-curl \
 			--with-libdeflate \
 			--with-ecw=no \
-			--with-epsilon=/usr \
 			--with-freexl=yes \
 			--with-geos \
 			--with-geotiff=yes \
@@ -160,7 +164,6 @@
 			--with-webp \
 			--with-xerces \
 			--with-zstd \
-			--with-dods-root=/usr \
 			--with-perl \
 			--with-python; \
 		mv GDALmake.opt GDALmake.opt-$$V; \
@@ -175,7 +178,7 @@
 	# It needs pre-installing just after the building due to intermediate cleaning.
 	for V in $(PYVERS); do \
 		cp GDALmake.opt-$$V GDALmake.opt && \
-		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python clean && \
+		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python veryclean && \
 		$(MAKE) -C $(CURDIR)/swig/python generate && \
 		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python build && \
 		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
@@ -190,7 +193,7 @@
 	# install python stuff previuosly built and pre-installed
 	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
-	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.
+	install -o root -g root -m 755 $(CURDIR)/swig/python/gdal-utils/*.py $(CURDIR)/debian/tmp/usr/bin/.
 
 	# removing useless autogenerated man pages
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1
@@ -206,10 +209,8 @@
 
 	# copy sample programs for python3-gdal
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples
-	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/.
-
-override_dh_install:
-	dh_install --autodest --list-missing
+	install -o root -g root -m 644 $(CURDIR)/swig/python/gdal-utils/osgeo_utils/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/.
+	rm -f $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/__init__.py
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -229,6 +230,3 @@
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
 	# Forces failure when symbols change
 	#dh_makeshlibs -- -v$(UPSTREAM_VERSION)
-
-override_dh_shlibdeps:
-	dh_shlibdeps -L libgdal26 -l debian/libgdal26/usr/lib
