## gdal 3.3.3+dfsg

=== debian/changelog ===
gdal (3.3.3+dfsg-2) unstable; urgency=medium

  * Add upstream patches from 3.4.0 for LVBAG driver issues.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Nov 2021 06:40:25 +0100

gdal (3.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix installation of python scripts.
  * Update symbols for 3.3.3~rc1.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Oct 2021 17:36:55 +0200

gdal (3.3.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Oct 2021 15:47:11 +0200
