=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                doxygen,
                graphviz,
@@ -14,10 +14,8 @@
                libcfitsio-dev,
                libcharls-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
-               libdap-dev,
                libdeflate-dev,
                libdoxygen-filter-perl,
-               libepsilon-dev (>= 0.9.1-1~),
                libexpat1-dev,
                libfreexl-dev (>= 1.0.0),
                libfyba-dev,
@@ -53,6 +51,7 @@
                lsb-release,
                netcdf-bin,
                patch,
+               pkg-config,
                python3-all-dev,
                python3-numpy,
                python3-distutils,
@@ -60,19 +59,18 @@
                unixodbc-dev (>= 2.2.11),
                zlib1g-dev
 Build-Conflicts: automake1.11
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
-Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b bullseye
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal28
+Package: libgdal29
 Architecture: any
 Section: libs
 Depends: gdal-data (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: proj-bin
-Breaks: libgdal1h (<< 2.0)
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -95,15 +93,13 @@
 Package: libgdal-dev
 Architecture: any
 Section: libdevel
-Depends: libgdal28 (= ${binary:Version}),
+Depends: libgdal29 (= ${binary:Version}),
          libc6-dev,
          libarmadillo-dev,
          libcfitsio-dev,
          libcharls-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
-         libdap-dev,
          libdeflate-dev,
-         libepsilon-dev,
          libexpat1-dev,
          libfreexl-dev,
          libfyba-dev,
