=== debian/rules ===
--- 
+++ 
@@ -193,7 +193,7 @@
 	# install python stuff previuosly built and pre-installed
 	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
-	install -o root -g root -m 755 $(CURDIR)/swig/python/gdal-utils/*.py $(CURDIR)/debian/tmp/usr/bin/.
+	install -o root -g root -m 755 $(CURDIR)/swig/python/gdal-utils/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.
 
 	# removing useless autogenerated man pages
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1
