## gdal 3.4.0+dfsg

=== debian/changelog ===
gdal (3.4.0+dfsg-1) unstable; urgency=medium

  * Update symbols for hppa & riscv64.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Dec 2021 12:40:33 +0100

gdal (3.4.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.4.0~rc3.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Nov 2021 15:02:37 +0100

gdal (3.4.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Nov 2021 13:54:37 +0100

gdal (3.4.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Nov 2021 13:32:20 +0100

gdal (3.4.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Enable blosc support.
  * Enable lz4 support.
  * Rename library package for SONAME bump.
  * Refresh patches.
  * Don't override dh_autoreconf to create config.rpath, included upstream.
  * Update dh_clean override to remove move generated files.
  * Add python3-setuptools to build dependencies.
  * Don't install testepsg, removed upstream.
  * Update dh_installchangelogs override for NEWS.md rename.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Nov 2021 18:16:28 +0100
