=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                chrpath,
                bash-completion,
                libarmadillo-dev,
+               libblosc-dev,
                libcfitsio-dev,
                libcharls-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
@@ -28,6 +29,7 @@
                libjpeg-dev,
                libjson-c-dev,
                libkml-dev (>= 1.3.0~rc0-3),
+               liblz4-dev,
                liblzma-dev,
                libmodern-perl-perl,
        default-libmysqlclient-dev,
@@ -55,6 +57,7 @@
                python3-all-dev,
                python3-numpy,
                python3-distutils,
+               python3-setuptools,
                swig,
                unixodbc-dev (>= 2.2.11),
                zlib1g-dev
@@ -64,7 +67,7 @@
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal29
+Package: libgdal30
 Architecture: any
 Section: libs
 Depends: gdal-data (>= ${source:Version}),
@@ -93,9 +96,10 @@
 Package: libgdal-dev
 Architecture: any
 Section: libdevel
-Depends: libgdal29 (= ${binary:Version}),
+Depends: libgdal30 (= ${binary:Version}),
          libc6-dev,
          libarmadillo-dev,
+         libblosc-dev,
          libcfitsio-dev,
          libcharls-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
@@ -113,6 +117,7 @@
          libjson-c-dev,
          libkml-dev,
          libltdl-dev,
+         liblz4-dev,
          liblzma-dev,
  default-libmysqlclient-dev,
          libnetcdf-dev,
