=== debian/rules ===
--- 
+++ 
@@ -101,13 +101,11 @@
 		dh $@ --with python3 ; \
 	fi
 
-override_dh_autoreconf:
-	touch config.rpath
-
-	dh_autoreconf
-
 override_dh_clean:
-	dh_clean config.log config.rpath
+	dh_clean config.log \
+	         config.status \
+	         libtool \
+	         port/cpl_config.h
 
 override_dh_auto_clean:
 	[ ! -f GDALmake.opt ] || $(MAKE) distclean
@@ -133,6 +131,7 @@
 			--with-avx=$(WITH_AVX) \
 			--with-bash-completion=yes \
 			--with-armadillo=yes \
+			--with-blosc=yes \
 			--with-cfitsio=yes \
 			--with-charls \
 			--with-curl \
@@ -148,6 +147,7 @@
 			--with-libkml=yes \
 			--with-liblzma=yes \
 			--with-libtiff=yes \
+			--with-lz4=yes \
 			--with-mrsid=no \
 			--with-mysql \
 			--with-netcdf \
@@ -213,7 +213,7 @@
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/__init__.py
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.md
 
 override_dh_installdocs:
 	dh_installdocs -A third_party/LercLib/NOTICE
